function parameters = loadParametersB_P()
prompt = {'Type the file name of original image:'%1
          'Type wavelet packet`s order:'%2
          'Type `co` for conv., `dh` for diff. heat, `ch` for colloc. heat:'%3
          'Type the depth of   wavelet packets design:'%4
          'Type the maximal number of iterations:'%5
          'Type: std of kernel for conv., time for heat:'%6 '
          'Type the magnitude of noise:'%7
          'Type parameter scale:'%8
          'Type `y` if to change noise, else enter `n`:'%9
          'Type `bp` for Block pursuit,  for BB enter `bb`:'
          'Type number of blocks for Block pursuit:'%11
          };
dlg_title = 'Input parameters';

load answerB_P parameters q_n
%default values
%parameters =[]
if (isempty(parameters))
   parameters = {'lena','4','dh','6','2','2','10','.5','y','bp','100'}; 
end
parameters = inputdlg(prompt,dlg_title,1,parameters);
if (~isempty(parameters))
    save answerB_P parameters q_n
end

end